package net.lecnam.info.ex2;

import java.io.IOException;
import java.io.InputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.OutputStream;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.logging.Logger;

public class ComputeEngineMain {

	static final Logger logger = Logger.getLogger("Server");

	public static void main(String[] args) throws IOException {
		logger.info("Running...");
		ServerSocket ss = new ServerSocket(55000);
		logger.info("Waiting for a connection...");
		Socket s = ss.accept();
		logger.info("Client connected.");

		InputStream is = s.getInputStream();
		OutputStream os = s.getOutputStream();

		ObjectOutputStream out = new ObjectOutputStream(os);
		ObjectInputStream in = new ObjectInputStream(is);

		ComputeEngine<?> server = new ComputeEngine<>(in, out);
		server.run();

		s.close();
		ss.close();
	}

}
